Subject: Re: [PATCH] qe_ic: Do a sync when masking interrupts.

From: Scott Wood <[email-masked]>
Date: Mon, 23 Oct 2006 13:27:09 -0500

Segher Boessenkool wrote:
> If a sync after an MMIO write is enough, then (in almost all
> cases) so is an eieio.

In this case, the spurious interrupts still happen with eieio, but not 
with sync.  It's probably synchronizing the MMIO write with some 
unrelated load from memory (such as reading the stack frame to return 
from the mask function, or reading action->flags to determine whether to 
check for IRQ_DISABLED).

-Scott